Skip to main content

Type Alias: GatewayInferenceResponseFunctionCallArgumentsDoneEvent

type GatewayInferenceResponseFunctionCallArgumentsDoneEvent = {
[key: string]: unknown;
type: "response.function_call_arguments.done";
item_id: string;
output_index: number;
arguments: string;
};

Defined in: src/models/ai-gateway-inference.ts:4875

Portkey ResponseFunctionCallArgumentsDoneEvent; additive response fields are preserved.

Example​

`GatewayInferenceResponseFunctionCallArgumentsDoneEventSchema.parse(value);`

Indexable​

[key: string]: unknown

Properties​

type​

type: "response.function_call_arguments.done";

Defined in: src/models/ai-gateway-inference.ts:4876


item_id​

item_id: string;

Defined in: src/models/ai-gateway-inference.ts:4877


output_index​

output_index: number;

Defined in: src/models/ai-gateway-inference.ts:4878


arguments​

arguments: string;

Defined in: src/models/ai-gateway-inference.ts:4879